### Function

# GimpUi cairo_set_focus_line_pattern

since: 2.6

#### Declaration [src]

    gboolean
    gimp_cairo_set_focus_line_pattern (
      cairo_t* cr,
      GtkWidget* widget
    )

#### Description [src]

Sets color and dash pattern for stroking a focus line on the given `cr`. The line pattern is taken from `widget`.

Available since: 2.6

#### Parameters

`cr`

  Type: `cairo_t`

  Cairo context.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  Widget to draw the focus indicator on.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the widget style has a focus line pattern, `FALSE` otherwise.